.\" generated with Ronn/v0.7.3
.\" http://github.com/rtomayko/ronn/tree/0.7.3
.
.TH "TERMSHARK" "1" "April 2019" "" ""
.
.SH "NAME"
\fBtermshark\fR \- A wireshark\-inspired terminal user interface for tshark
.
.SH "SYNOPSIS"
\fBtermshark\fR [options] [FilterOrFile]
.
.SH "DESCRIPTION"
A wireshark\-inspired terminal user interface for tshark\. Analyze network traffic interactively from your terminal\. See https://github\.com/gcla/termshark for more information\.
.
.SH "OPTIONS"
.
.TP
\fB\-i\fR=\fIinterface\fR
Interface to read\.
.
.TP
\fB\-r\fR=\fIfile\fR
Pcap file to read\.
.
.TP
\fB\-d\fR=\fIlayer_type\fR==\fIselector\fR,\fIdecode\-as protocol\fR
Specify dissection of layer type\.
.
.TP
\fB\-Y\fR=\fIdisplaY_filter\fR
Apply display filter\.
.
.TP
\fB\-f\fR=\fIcapture_filter\fR
Apply capture filter\.
.
.TP
\fB\-\-pass\-thru\fR=[yes|no|auto|true|false]
Run tshark instead (auto => if stdout is not a tty)\. (default: auto)
.
.TP
\fB\-\-log\-tty\fR=[yes|no|true|false]
Log to the terminal\.\. (default: false)
.
.TP
\fB\-h\fR, \fB\-\-help\fR
Show this help message\.
.
.TP
\fB\-v\fR, \fB\-\-version\fR
Show version information\.
.
.SH "ARGUMENTS"
\fBFilterOrFile\fR
.
.IP "" 4
.
.nf

Filter (capture for iface, display for pcap), or pcap file to read\.
.
.fi
.
.IP "" 0
.
.SH "SEE ALSO"
tshark(1)
